import {
	WeaTools
} from 'ecCom'

export const getTabOneDatas = (params) => {
	return WeaTools.callApi('/api/hrm/birthday/getSysRemindForm', 'GET', params);
}

export const getAuthForm = (params) => {
	return WeaTools.callApi('/api/hrm/birthday/getSysRemindAddForm?is_multilang_set=true', 'GET', params);
}

export const getTabTwoForm = (params) => {
	return WeaTools.callApi('/api/hrm/birthday/getEpRemindForm?is_multilang_set=true', 'GET', params);
}

export const getRight = (params) => {
	return WeaTools.callApi('/api/hrm/birthday/getHasRight', 'GET', params);
}

export const tabTwoFormSave = (params) => {
	return WeaTools.callApi('/api/hrm/birthday/saveStaffRemind', 'POST', params);
}

export const saveImg = (params) => {
	return WeaTools.callApi('/api/hrm/birthday/saveImg', 'POST', params);
}

export const saveEntryRemind = (params) => {
	return WeaTools.callApi('/api/hrm/entryremind/savePicChange', 'POST', params);
}

export const authSave = (params) => {
	return WeaTools.callApi('/api/hrm/birthday/saveSysMember', 'POST', params);
}

export const tabOneSave = (params) => {
	return WeaTools.callApi('/api/hrm/birthday/saveSysRemind', 'POST', params);
}

export const entryRemindSave = (params) => {
	return WeaTools.callApi('/api/hrm/entryremind/save', 'POST', params);
}

export const delRows = (params) => {
	return WeaTools.callApi('/api/hrm/birthday/deleteSysMember', 'POST', params);
}

export const getTable = (params) => {
	return WeaTools.callApi('/api/hrm/birthday/getSysMemberList', 'GET', params);
}

export const getEntryDatas = (params) => {
	return WeaTools.callApi('/api/hrm/entryremind/getEntryRemindForm', 'GET', params);
}